Eclipse Rich Ajax Platform

## org.eclipse.rwt
Interface AdapterFactory

Deprecated. This class was made API accidientially and will be removed in future releases. The `AdapterFactory` is tailored to the needs of RWT and not meant for general use. Furthermore providing an implementation of the adapter pattern is outside the scope of RWT. If clients need to work with the adapter pattern, they should resort to general purpose implementations (e.g. the `IAdapterFactory` from org.eclipse.core.runtime)

    public interface AdapterFactory

An AdapterFactory creates the requested adapters associated with a given object, if available. Adapters are used to add dynamically interfaces to a class (behavioral extension).

AdapterFactories are registered with a global adapter manager.

Since:
  1.0
See Also:
  `Adaptable`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object adaptable, java.lang.Class adapter)` Deprecated. returns an implementation of the given class associated with the given object.
`java.lang.Class[]` `getAdapterList()` Deprecated. returns an array of adapter types handled by this factory.

Method Detail

### getAdapter

    java.lang.Object getAdapter(java.lang.Object adaptable,
                                java.lang.Class adapter)

  Deprecated.

  returns an implementation of the given class associated with the given object. Returns `null` if no such implementation can be found.

  Parameters:
    `adaptable` - the `Adaptable` instance used as lookup key
    `adapter` - the type of adapter to look up
  Returns:
    a object castable to the given adapter type or `null` if there is no adapter of the given type availabe

### getAdapterList

    java.lang.Class[] getAdapterList()

  Deprecated.

  returns an array of adapter types handled by this factory.

  This method is generally used to discover which adapter types are supported, in advance of actually calling `getAdapter`.

  Returns:
    a list of supported adapter types

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.